% Trim without user input.
clear all;
global x u gamma
x(1)=170;                   % TAS (Vt), ft/s.
x(5)=0;                     % Altitude, ft.
gamma=0;                    % Flight-path angle, deg.
gamma=gamma/57.29578;       % Flight-path angle, rad.
name='cost';                % Cost-function filename.
cg= 0.25; land=0;           % 0=clean 1=gear+flaps
u=[0.1 -10 cg land];
x(2)=.1;                    % Alpha, initial guess
x(3)=x(2)+gamma;            % Theta
x(4)=0;                     % Pitch rate
x(6)=0;
s0=[u(1) u(2) x(2)];
% Find trim paramters.
options = optimset('Display','iter');
[s,fval]=fminsearch(name,s0);
[minS,~,~,output] = fminsearch(name,s0,options);
disp(output);
fprintf('TAS(ft/s) = %d, H(ft) = %d\n',s(1), x(5));
fprintf('Thrl(0...1)  Elev(deg)  AoA(deg)\n');
fprintf('%f\t%f\t%f\n',minS(1),minS(2),minS(3)*57.29578);